=== main/libs/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration
#

VERSION		:= 1.3.1
LIBVERSION 	:= 1

INSTALL		:= install
LIBTOOL 	:= libtool
CC		:= gcc

DESTDIR		:= 
PREFIX		:= /usr/local
DIR_LIBS	:= $(PREFIX)/lib
LOCALEDIR	:= $(PREFIX)/share/locale

RSBACLIB 	:= librsbac.la

NLS		:= 1

CFLAGS		:= -fPIC -O2 -fomit-frame-pointer
CFLAGS		+= -I../headers -I/usr/include -I/usr/local/include  \
		   -I$(PREFIX)/include
LDFLAGS		:=
DEFINES		:= -DPACKAGE=\"rsbac-admin\" \
                   -DVERSION=\"$(VERSION)\" \
		   -DLOCALEDIR=\"$(LOCALEDIR)\" \
		   -DENABLE_NLS=$(NLS)

QUIET 		:= > /dev/null

LIBS		:= 

ARCH            := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
		     -e s/arm.*/arm/ -e s/sa110/arm/ \
		     -e s/s390x/s390/ -e s/parisc64/parisc/ )

FILES_LIBS	:= $(wildcard helpers/*.c)

#
# Architecture checks
#

ASM_DIR		:= asm-arches/asm-$(ARCH)/unistd.h

CFLAGS		+= -include ./$(ASM_DIR)

#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @echo -e " "
else
QUIET =
E = @:
endif

#
# Targets
#

all: $(RSBACLIB)

$(RSBACLIB): $(FILES_LIBS)
	$(foreach f, $(FILES_LIBS), echo -e "  CC\t\t$(f)"; \
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) -c $(f) $(QUIET) -o $(f:.c=.lo);)
	$(E) "LD\t\t$(RSBACLIB)"
	$(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) $(LIBS) \
	-o $@ $(FILES_LIBS:.c=.lo) -rpath $(DIR_LIBS) -version-info $(LIBVERSION) \
	$(QUIET)
        
clean:
	$(E) "CLEAN\t\t$(RSBACLIB) librsbac.a"
	rm -f $(RSBACLIB) librsbac.a
	$(E) "CLEAN\t\tLibtool objects"
	rm -rf $(FILES_LIBS:.c=.lo) $(FILES_LIBS:.c=.o) helpers/.libs
	rm -rf .libs

distclean: clean
	
install: all
	$(E) "INTO\t\t$(DESTDIR) ($(PREFIX))"
	$(E) "DIR\t\t$(DIR_LIBS)"
	$(INSTALL) -d $(DESTDIR)/$(DIR_LIBS)
	$(E) "INSTALL\t$(RSBACLIB)"
	$(LIBTOOL) --mode=install install -c $(RSBACLIB) \
	$(DESTDIR)/$(DIR_LIBS)/$(RSBACLIB) $(QUIET)
	$(E) "LIBTOOL\t$(RSBACLIB)"
	$(LIBTOOL) -n --mode=finish $(DESTDIR)/$(DIR_LIBS) $(QUIET)

uninstall:
	$(E) "UNINSTALL\t $(DIR_LIBS)/$(RSBACLIB) \
	$(DIR_LIBS)/librsbac.so $(DIR_LIBS)/librsbac.a"
	$(LIBTOOL) --mode=uninstall rm \
	$(DESTDIR)/$(DIR_LIBS)/$(RSBACLIB) $(QUIET)


.PHONY: all clean distclean
