=== debian/changelog ===
rsbac-admin (1.3.1-0) unstable; urgency=low

  * Bump to 1.3.1

 -- Guillaume Destuynder <kang@rsbac.org> Tue, 9 Jan 2007 11:00:00 +0100

rsbac-admin (1.3.0-4) unstable; urgency=low

  * Bump to 1.3.0

 -- Guillaume Destuynder <kang@rsbac.org>  Mon, 7 Oct 2006 16:16:00 +0100

rsbac-admin (1.3.0-3) unstable; urgency=low

  * Bump to 1.3.0rc1

 -- Guillaume Destuynder <kang@rsbac.org>  Thu, 11 Sep 2006 13:52:00 +0100

rsbac-admin (1.3.0-2) unstable; urgency=low

  * Bump to 1.3.0pre2, restarted from 1.2.7 with backports

 -- Amon Ott <ao@rsbac.org>  Fri, 09 Jun 2006 14:16:00 +0200

rsbac-admin (1.3.0-1) unstable; urgency=low

  * Bump to 1.3.0pre1 with 1.2 fixes

 -- Guillaume Destuynder <kang@rsbac.org>  Thu, 22 Feb 2005 11:49:00 +0100

rsbac-admin (1.2.5-4) stable; urgency=low

  * Lintianization. Thanks to rtp from Mandriva.

 -- Guillaume Destuynder <kang@rsbac.org>  Thu, 27 Oct 2005 10:06:00 +0100

rsbac-admin (1.2.5-3) stable; urgency=low

  * Updated version to v1.2.5

 -- Amon Ott <ao@rsbac.org>  Thu, 22 Sep 2005 11:24:26 +0100

rsbac-admin (1.2.5-2) unstable; urgency=low

  * Updated version to v1.2.5-rc2
  * Changed to new build system

 -- Amon Ott <ao@rsbac.org>  Thu, 25 Aug 2005 16:21:26 +0100

rsbac-admin (1.2.5-1) unstable; urgency=low

  * Updated version to v1.2.5-pre2

 -- Amon Ott <ao@rsbac.org>  Sat, 11 Jun 2005 12:29:26 +0100

  * Split the shared library into a package of its own (librsbac1)

 -- Peter Busser <peter@adamantix.org>  Thu, 03 Feb 2005 15:38:26 +0100

rsbac-admin (1.2.3-4) testing; urgency=low

  * Added bugfix 5, which enables PaX support for the command line tools.

 -- Peter Busser <peter@adamantix.org>  Wed, 29 Sep 2004 10:34:20 +0200

rsbac-admin (1.2.3-3) unstable; urgency=low

  * Added DAZ to RSBACMOD in rsbac.conf

 -- Peter Busser <peter@adamantix.org>  Sun, 29 Aug 2004 19:12:55 +0200

rsbac-admin (1.2.3-2) unstable; urgency=low

  * Added librsbac.so to rsbac-admin, otherwise the binaries will not work.

 -- Peter Busser <peter@adamantix.org>  Thu, 26 Aug 2004 11:54:00 +0200

rsbac-admin (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Fixed the so account creation in rsbac-admin.postinst
  * Changed the /home/so path to /so.
  * Removed setting of AUTH CAP 400 on rklogd, this should be part of a
    security policy.

 -- Peter Busser <peter@adamantix.org>  Tue, 24 Aug 2004 17:21:30 +0200

rsbac-admin (1.2.2-7) unstable; urgency=low

  * Cleaned up rklogd code

 -- Peter Busser <peter@trusteddebian.org>  Mon, 28 Apr 2003 12:40:50 +0200

rsbac-admin (1.2.2-6) unstable; urgency=low

  * Fixed postinst/postrm not being installed problem
  * Added setting of CAP 400 on rklogd in postinst
  * Added examples/* to rsbac-doc
  * Added rsbac-admin to rsbac-klogd dependencies
  * Removed creation of /home/so from rsbac-klogd postinst

 -- Peter Busser <peter@trusteddebian.org>  Sun, 27 Apr 2003 22:33:52 +0200

rsbac-admin (1.2.2-5) stable; urgency=low

  * Added rsbac-dev, rsbac-doc and rsbac-rklogd packages

 -- Peter Busser <peter@trusteddebian.org>  Fri, 11 Apr 2003 16:20:04 +0200

rsbac-admin (1.2.2-4) unstable; urgency=low

  * Added rsbac.conf

 -- Peter Busser <peter@trusteddebian.org>  Mon,  7 Apr 2003 17:11:16 +0200

rsbac-admin (1.2.2-3) unstable; urgency=low

  * Added two patches to fix some backup problems

 -- Peter Busser <peter@trusteddebian.org>  Mon,  7 Apr 2003 14:27:17 +0200

rsbac-admin (1.2.2-2) unstable; urgency=low

  * Upgrade to v1.2.2-pre3, to accompany the kernel patch upgrade

 -- Peter Busser <peter@trusteddebian.org>  Mon,  7 Apr 2003 12:19:32 +0200

rsbac-admin (1.2.2-1) unstable; urgency=low

  * Upgrade to v1.2.2-pre3, to accompany the kernel patch upgrade
  * Compiled using the IBM stack smashing protector

 -- Peter Busser <peter@trusteddebian.org>  Tue, 11 Mar 2003 14:05:27 +0100

rsbac-admin (1.2.1-2) unstable; urgency=low

  * Added RSBAC v1.2.1 bugfix nr. 4

 -- Peter Busser <peter@trusteddebian.org>  Thu, 23 Jan 2003 14:12:49 +0100

rsbac-admin (1.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Peter Busser <peter@trusteddebian.org>  Fri, 15 Nov 2002 18:40:29 +0100
