=== debian/control ===
Source: rsbac-admin
Section: admin
Priority: optional
Maintainer: Amon Ott <ao@m-privacy.de>
Build-Depends: debhelper (>= 4.0.0), libpam-dev, libncurses5-dev, linux-kernel-headers, libtool
Standards-Version: 3.6.1

Package: rsbac-admin
Architecture: any
Depends: ${shlibs:Depends}, dialog, less, librsbac1
Description: Rule Set Based Access Control administrative utilities
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 The rsbac-admin utilities provide a
 way to set security properties for these modules. You need these utilities
 to be able to use these advanced security functions.

Package: librsbac1
Architecture: any
Depends: ${shlibs:Depends}
Description: Rule Set Based Access Control administrative utilities
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the runtime shared library, used by all programs which
 interact with the RSBAC kernel code in one way or another.

Package: rsbac-dev
Architecture: any
Depends: librsbac1, libc6-dev, linux-kernel-headers
Description: RSBAC development library
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the library you need to develop programs for RSBAC.

Package: rsbac-klogd
Architecture: any
Depends: ${shlibs:Depends}, librsbac1
Description: RSBAC messages logger
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the RSBAC messages logger

Package: rsbac-pam
Architecture: any
Depends: ${shlibs:Depends}, librsbac1
Description: RSBAC PAM module
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the RSBAC PAM module to use RSBAC User Management.

Package: libnss-rsbac2
Architecture: any
Depends: ${shlibs:Depends}, librsbac1
Description: RSBAC NSS module
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the RSBAC NSS module to use RSBAC User Management.

Package: rsbac-doc
Architecture: all
Description: RSBAC documentation
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains RSBAC documentation
